org.apache.solr.client.solrj.request

## Class CoreAdminRequest.Unload

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CoreAdminResponse>
  - - org.apache.solr.client.solrj.request.CoreAdminRequest
    - - org.apache.solr.client.solrj.request.CoreAdminRequest.Unload

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CoreAdminRequest

      public static class CoreAdminRequest.Unload
      extends CoreAdminRequest

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

      `CoreAdminRequest.Create, CoreAdminRequest.CreateSnapshot, CoreAdminRequest.DeleteSnapshot, CoreAdminRequest.ListSnapshots, CoreAdminRequest.MergeIndexes, CoreAdminRequest.OverrideLastPublished, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `deleteDataDir`
    `protected boolean` | `deleteIndex`
    `protected boolean` | `deleteInstanceDir`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

      `action, core, isIndexInfoNeeded, other`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Unload(boolean deleteIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SolrParams` | `getParams()`
    `boolean` | `isDeleteDataDir()`
    `boolean` | `isDeleteIndex()`
    `boolean` | `isDeleteInstanceDir()`
    `void` | `setDeleteDataDir(boolean deleteDataDir)`
    `void` | `setDeleteIndex(boolean deleteIndex)`
    `void` | `setDeleteInstanceDir(boolean deleteInstanceDir)`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

      `createCore, createCore, createCore, createResponse, getContentStreams, getCoreStatus, getStatus, mergeIndexes, reloadCore, renameCore, setAction, setCoreName, setIndexInfoNeeded, setOtherCoreName, unloadCore, unloadCore, unloadCore`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### deleteIndex

          protected boolean deleteIndex

    - #### deleteDataDir

          protected boolean deleteDataDir

    - #### deleteInstanceDir

          protected boolean deleteInstanceDir

  - ### Constructor Detail

    - #### Unload

          public Unload(boolean deleteIndex)

  - ### Method Detail

    - #### isDeleteIndex

          public boolean isDeleteIndex()

    - #### setDeleteIndex

          public void setDeleteIndex(boolean deleteIndex)

    - #### setDeleteDataDir

          public void setDeleteDataDir(boolean deleteDataDir)

    - #### setDeleteInstanceDir

          public void setDeleteInstanceDir(boolean deleteInstanceDir)

    - #### isDeleteDataDir

          public boolean isDeleteDataDir()

    - #### isDeleteInstanceDir

          public boolean isDeleteInstanceDir()

    - #### getParams

          public SolrParams getParams()

      Overrides:
        `getParams` in class `CoreAdminRequest`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.